%define libdir /%{_lib}

Name: eventlog
Version: 0.2.12
Release: 1.ru6
Summary: Syslog-ng v2 support library

Group: System Environment/Libraries
License: BSD
Url: http://www.balabit.com/products/syslog-ng/
Source:  http://www.balabit.com/downloads/files/syslog-ng/sources/2.0/src/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.


%package devel
Summary: Syslog-ng v2 support library development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the development files.


%package static
Summary: Syslog-ng v2 support static library files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description static
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the static library files.


%prep
%setup -q 


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# we build into /usr/lib,
# but we want the library (but not the devel stuff) in /lib
install -d -m 755 %{buildroot}/%{libdir}
pushd %{buildroot}%{_libdir}
mv libevtlog.so.* %{buildroot}/%{libdir}
ln -sf ../../%{_lib}/libevtlog.so.*.* libevtlog.so
popd

rm -f %{buildroot}%{_libdir}/libevtlog.la


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
%{libdir}/libevtlog.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_libdir}/libevtlog.so
%{_libdir}/pkgconfig/eventlog.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}

%files static
%defattr(-,root,root,-)
%{_libdir}/libevtlog.a


%changelog

* Mon Feb 20 2012 Kaitlin Poskaitis <kap263@nbcs.rutgers.edu> - 0.2.12-1
- Rebuilt for Centos6

* Thu Jul 21 2011 Phillip Quiza <pquiza@nbcs.rutgers.edu> 0.2.12-1
- Updated to 0.2.12

* Wed Apr 8 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> 0.2.9-1
- updated to 0.2.9

* Tue Mar 24 2009 Douglas E. Warner <silfreed@silfreed.net> 0.2.7-3
- re-added the -static package

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 09 2008 Douglas E. Warner <silfreed@silfreed.net> 0.2.7-1
- updated to 0.2.7 library
- removed static library

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.5-9
- Autorebuild for GCC 4.3

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-8
- Fixed URL typo.

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-7
- New upstream download location
  (https://lists.balabit.hu/pipermail/syslog-ng/2007-May/010258.html)

* Sun Mar 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-6
- The -devel subpackage now obsoletes the -static subpackage if the
  latter one is not created.

* Fri Mar  9 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-5
- Optional creation of the -static subpackage.

* Sun Feb 25 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-4
- Install the dynamic library in /lib.

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-3
- Create a -static subpackage.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> - 0.2.5-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Jul 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-1
- Update to 0.25.

* Tue Feb 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.4-1
- Update to 0.24.

* Sun Oct 16 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.3-1
- Update to 0.2.3+20051004 snapshot.

* Fri Apr 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.3-1
- Update to 0.2.3+20050422 snapshot.
- FLAGS are now being inherited by configure (patch accepted upstream).
- Static lib created by default.
- Copyright information (README and COPYING files).

* Sat Jan 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.2.2-0.fdr.0
- Update to 0.2.2.

* Wed Jan 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.2.1-0.fdr.0
- Initial build (version 0.2.1).

